> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/general/wisej.hybrid.shared.core.hybridresourcesattribute.md).

# HybridResourcesAttribute

Namespace: **Wisej.Hybrid.Shared.Core**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Attribute for assemblies providing resources to the Wisej.NET Hybrid client application.

{% tabs %}
{% tab title="C#" %}

```csharp
public class HybridResourcesAttribute : Attribute
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class HybridResourcesAttribute
    Inherits Attribute
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)HybridResourcesAttribute()

Creates a new instance of [HybridResourcesAttribute](/hybrid/start/api/general/wisej.hybrid.shared.core.hybridresourcesattribute.md).

## Methods

### ![](/files/kFkcPOa6hLWL1HRvZMvY)GetAttribute(assembly)

Returns the [HybridResourcesAttribute](/hybrid/start/api/general/wisej.hybrid.shared.core.hybridresourcesattribute.md) assigned to the specified *assembly* .

| Parameter    | Type                                                                         | Description                                                                                                                                        |
| ------------ | ---------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| **assembly** | [Assembly](https://docs.microsoft.com/dotnet/api/system.reflection.assembly) | The assembly for which to retrieve the [HybridResourcesAttribute](/hybrid/start/api/general/wisej.hybrid.shared.core.hybridresourcesattribute.md). |

**Returns:** [Attribute](https://docs.microsoft.com/dotnet/api/system.attribute). The instance of the [HybridResourcesAttribute](/hybrid/start/api/general/wisej.hybrid.shared.core.hybridresourcesattribute.md) assigned to the assembly or null.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/general/wisej.hybrid.shared.core.hybridresourcesattribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
